You are not logged in.

#51 2016-04-10 06:46:33

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

are you running the latest arc-git or the last stable arc? My testing has been from the latest git


I don't really know what I'm doing.

Offline

#52 2016-04-10 06:48:33

D101101
Member
Registered: 2014-07-02
Posts: 36

Re: GTK updates

Firefox interface is broken after yesterday's update. Any solution for that?

Offline

#53 2016-04-10 06:50:41

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

What do you mean broken? Also, are you using the Firefox gnome integration theme or the default theme? My firefox looks fine


I don't really know what I'm doing.

Offline

#54 2016-04-10 06:55:33

axfelix
Member
Registered: 2015-02-08
Posts: 54

Re: GTK updates

My Firefox is fine too. And I just fixed my problem with arc ... you're all going to be mad at me...

I was using the version from archlinuxcn rather than building it from the AUR directly since I noticed that they had precompiled versions of a lot of AUR packages that took forever to build locally (notably, chromium-dev) and added them to my pacman conf months ago. It turns out that the Gtk version that you build themes against is in fact very important...

Huge apologies. Thanks for your help, everyone.

Offline

#55 2016-04-10 06:57:32

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

My firefox with the stock theme:
https://www.dropbox.com/s/wyy62g8233syg … 9.png?dl=0

With the Gnome-integration-theme:
https://www.dropbox.com/s/6251j91mgh1m9 … 1.png?dl=0

As you can see the Gnome-Integration-Theme clearly looks better, but the default isn't exactly broken. Firefox now adopts GTK3 theme styles, so perhaps it just looks different to you. It shoudn't have just started though, as gtk3 has been support in firefox since version 44


I don't really know what I'm doing.

Offline

#56 2016-04-10 06:59:52

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

axfelix wrote:

My Firefox is fine too. And I just fixed my problem with arc ... you're all going to be mad at me...

I was using the version from archlinuxcn rather than building it from the AUR directly since I noticed that they had precompiled versions of a lot of AUR packages that took forever to build locally (notably, chromium-dev) and added them to my pacman conf months ago. It turns out that the Gtk version that you build themes against is in fact very important...

Huge apologies. Thanks for your help, everyone.

Haha yes, building against the correct libraries is incredibly important. Which is why this whole new XDG-app stuff is so cool that Gnome and KDE are spearheading, as it should make all of this a whole heck of a lot easier from here on out.

I'm glad you got it all worked out, and that your touchpad is behaving properly now.


I don't really know what I'm doing.

Offline

#57 2016-04-10 07:07:12

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

Roken wrote:

OK, I have both GTK2 and 3 installed, preferring GTK3 whenever possible, but I'm noticing issues with each update. Either failing to consistently render fonts the same as earlier versions, and after today's update I've lost menu highlighting in Firefox. This is using FF 45.0-1 (the latest two updates have their own issues, which I've posted a bug for).

Is there stuff I should be doing to have GTK behave consistently?

For info, these are NOT system wide problems, and only seem to affect FF.

See my above comment. You should probably run firefox with this theme: https://addons.mozilla.org/en-US/firefox/addon/adwaita/

It should make your firefox experience better integrate with that of Gnome


I don't really know what I'm doing.

Offline

#58 2016-04-10 07:11:32

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,655

Re: GTK updates

D101101 wrote:

Firefox interface is broken after yesterday's update. Any solution for that?

Did you even bother to read the thread?

Offline

#59 2016-04-10 07:11:49

axfelix
Member
Registered: 2015-02-08
Posts: 54

Re: GTK updates

my beloved numix-frost-light is still a little broken under 3.20, even after rebuilding from AUR rather than using the version in antergos sources as I was doing (ahem) -- the titlebars are fixed, but the window grab/resize handles aren't there. That seems like an actual bug rather than a what's-wrong-with-my-system issue, though, and I'm perfectly happy with arc in the meantime.

Now I just need to figure out why the chromium-dev vaapi patches are breaking on chromium >=50 now that I've had to upgrade from 49 due to icu updates...

Offline

#60 2016-04-10 07:15:42

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

axfelix wrote:

my beloved numix-frost-light is still a little broken under 3.20, even after rebuilding from AUR rather than using the version in antergos sources as I was doing (ahem) -- the titlebars are fixed, but the window grab/resize handles aren't there. That seems like an actual bug rather than a what's-wrong-with-my-system issue, though, and I'm perfectly happy with arc in the meantime.

Now I just need to figure out why the chromium-dev vaapi patches are breaking on chromium >=50 now that I've had to upgrade from 49 due to icu updates...

That is something that I have no clue about. Report back if you figure it out though


I don't really know what I'm doing.

Offline

#61 2016-04-10 07:27:00

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,424
Website

Re: GTK updates

axfelix wrote:

rather than using the version in antergos sources as I was doing (ahem)

Please ask on your distro's boards, we only support Arch: https://wiki.archlinux.org/index.php/Fo … pport_ONLY


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#62 2016-04-10 08:12:23

D101101
Member
Registered: 2014-07-02
Posts: 36

Re: GTK updates

What do you mean broken?

Lost menu highlighting, invisible scroll bars and text highlighting when I select it...

I am using default theme. Also I tried adwaita from https://addons.mozilla.org, but only became worse

Did you even bother to read the thread?

I read it again, but did not see solution for me. Сan you select it for me?

[sergey@Arch ~]$ firefox 

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:70:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:71:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:71:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:76:13: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:77:21: The '-gtk-image-effect' property has been renamed to '-gtk-icon-effect'

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:81:21: The '-gtk-image-effect' property has been renamed to '-gtk-icon-effect'

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:94:27: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:335:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:337:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:424:27: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:433:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:454:39: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:455:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:467:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:486:24: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:512:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:531:62: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:535:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:545:63: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:550:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:589:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1139:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1140:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1141:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1237:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1245:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1246:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1258:34: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1288:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1386:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1387:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1388:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1414:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1415:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1416:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1763:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1789:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1854:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1855:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1863:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1864:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1952:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1953:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1960:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1967:36: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1987:19: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1988:23: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2037:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2038:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2044:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2047:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2056:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2059:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2068:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2071:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2090:47: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2091:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2092:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2093:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2097:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2098:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2099:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2100:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2156:21: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2157:27: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2189:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2271:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2325:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2370:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2398:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2625:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2633:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2634:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2688:20: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2736:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2737:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2738:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2739:41: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2740:37: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2741:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2816:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2817:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2825:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2826:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2827:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2828:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2922:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2923:57: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2958:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2959:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2960:57: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2961:59: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2967:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2968:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2969:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2970:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2971:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2972:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2973:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2974:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2975:77: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2976:78: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2977:77: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2978:78: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2994:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2995:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2996:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2997:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2998:70: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2999:70: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3027:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3031:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3035:57: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3049:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3053:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3057:69: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3072:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3076:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3080:68: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3095:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3099:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3103:68: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3128:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3129:52: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3130:68: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3137:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3138:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3139:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3140:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3141:59: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3142:60: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3143:59: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3144:60: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3145:86: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3146:87: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3147:86: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3148:87: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3163:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3164:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3165:52: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3166:52: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3167:79: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3168:79: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3196:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3210:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3225:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3240:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3270:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3271:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3272:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3273:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3274:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3280:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3281:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3282:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3283:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3284:58: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3285:59: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3286:58: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3287:59: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3288:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3289:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3290:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3291:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3292:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3293:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3294:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3295:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3296:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3297:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3298:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3299:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3318:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3319:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3320:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3321:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3322:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3323:28: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3324:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3325:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3326:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3327:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3360:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3364:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3368:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3372:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3376:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3387:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3391:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3395:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3399:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3403:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3415:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3419:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3423:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3427:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3431:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3443:50: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3447:51: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3451:42: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3455:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3459:36: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3483:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3484:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3485:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3491:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3492:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3493:38: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3494:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3495:53: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3496:54: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3497:53: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3498:54: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3499:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3500:47: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3501:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3502:47: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3517:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3518:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3519:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3520:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3521:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3522:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3547:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3551:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3555:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3566:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3570:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3574:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3586:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3590:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3594:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3606:45: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3610:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3614:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3679:17: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3680:17: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3680:29: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3812:20: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3842:23: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3843:24: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3849:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3850:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3851:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3852:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3908:32: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3914:39: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3915:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3973:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3994:30: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:3995:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:4388:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:4411:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:9:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:23:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:24:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:28:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:32:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:36:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:36:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:44:18: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:58:25: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:59:26: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:63:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:67:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:71:19: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:71:31: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:76:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:90:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:91:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:95:28: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:96:28: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:100:28: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:101:28: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:105:28: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:105:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:106:28: The :inconsistent pseudo-class is deprecated. Use :indeterminate instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:106:40: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:111:27: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:125:34: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:126:35: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:173:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:201:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: gtk-widgets-assets.css:229:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: gnome-applications.css:80:28: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gnome-applications.css:90:35: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gnome-applications.css:121:47: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: gnome-applications.css:235:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:123:33: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:170:26: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:185:26: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:192:27: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:194:27: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:239:32: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:276:37: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:320:46: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:326:55: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:373:43: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:379:52: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:474:49: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:481:49: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:482:49: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:483:58: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:484:58: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: granite-widgets.css:684:39: The :prelight pseudo-class is deprecated. Use :hover instead.

(firefox:3273): Gtk-WARNING **: Theme parsing error: xfce.css:90:21: The '-gtk-image-effect' property has been renamed to '-gtk-icon-effect'

(firefox:3273): Gtk-WARNING **: Theme parsing error: lightdm-gtk-greeter.css:18:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: lightdm-gtk-greeter.css:28:15: The 'icon-shadow' property has been renamed to '-gtk-icon-shadow'

(firefox:3273): Gtk-WARNING **: Theme parsing error: lightdm-gtk-greeter.css:31:44: The :insensitive pseudo-class is deprecated. Use :disabled instead.

(firefox:3273): Gtk-CRITICAL **: gtk_clipboard_set_with_data: assertion 'targets != NULL' failed

(firefox:3273): Gtk-CRITICAL **: gtk_clipboard_set_with_data: assertion 'targets != NULL' failed

Offline

#63 2016-04-10 08:19:10

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,655

Re: GTK updates

It's in the first few posts. It's the entire point of this thread. 3rd party themes are broken.

Offline

#64 2016-04-10 08:26:11

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

D101101 wrote:

What do you mean broken?

Lost menu highlighting, invisible scroll bars and text highlighting when I select it...

I am using default theme. Also I tried adwaita from https://addons.mozilla.org, but only became worse

I don't know what's going on then. Are you using the firefox from the stable repos? Are you using the default Adwaita theme or a theme with known 3.20 support (such as Arc)?

As you can see from the screenshots that I linked above, Firefox is working fine. I don't really know what is going on with yours.

Further, if you are compiling firefox yourself, make sure you recompile it against gtk3.20 libs.

Last edited by brittyazel (2016-04-10 08:27:30)


I don't really know what I'm doing.

Offline

#65 2016-04-10 08:28:08

GourdCaptain
Member
Registered: 2009-04-18
Posts: 121

Re: GTK updates

New numix-frost version 3-2.1 from AUR is working fine for me with GTK 3.20 other than the always temperamental with themes xfce4-pulseaudio-plugin turning invisible when not hovered over with it (not a new issue with it for me). So I just switched to pasystray.

Offline

#66 2016-04-10 08:28:22

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

Scimmia wrote:

It's in the first few posts. It's the entire point of this thread. 3rd party themes are broken.

Not all of them are. It's not fair to call all 3rd party themes broken when many of them actually work fine. Numix is nearly there, Arc works great, Adapta works great, and those are just to name a few.


I don't really know what I'm doing.

Offline

#67 2016-04-10 08:35:29

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,655

Re: GTK updates

brittyazel wrote:
Scimmia wrote:

It's in the first few posts. It's the entire point of this thread. 3rd party themes are broken.

Not all of them are. It's not fair to call all 3rd party themes broken when many of them actually work fine. Numix is nearly there, Arc works great, Adapta works great, and those are just to name a few.

Yes, some are beginning to catch up, but that's irrelevant to D101101's problem. Whatever he's using isn't.

Offline

#68 2016-04-10 08:41:21

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

Scimmia wrote:

Yes, some are beginning to catch up, but that's irrelevant to D101101's problem. Whatever he's using isn't.

Oh, I got the impression he was having Firefox issues using the stock Adwaita theme


I don't really know what I'm doing.

Offline

#69 2016-04-10 08:42:02

Scimmia
Fellow
Registered: 2012-09-01
Posts: 11,655

Re: GTK updates

He's not. He's confused on what GTK themes are.

Offline

#70 2016-04-10 10:08:01

cju
Member
Registered: 2013-06-23
Posts: 194

Re: GTK updates

~/.config/gtk-3.0/gtk.css doesn't seem to work anymore, too… I'm a bit confused: Is this liekly to be one of the side effects of that update or should I open a separate thread for this?

Offline

#71 2016-04-10 10:15:55

brittyazel
Member
From: Davis, CA
Registered: 2013-05-11
Posts: 163

Re: GTK updates

cju wrote:

~/.config/gtk-3.0/gtk.css doesn't seem to work anymore, too… I'm a bit confused: Is this liekly to be one of the side effects of that update or should I open a separate thread for this?

It does work. Check this thread for what they did: https://bbs.archlinux.org/viewtopic.php?id=211102


I don't really know what I'm doing.

Offline

#72 2016-04-10 10:16:13

D101101
Member
Registered: 2014-07-02
Posts: 36

Re: GTK updates

He's confused on what GTK themes are.

Thank you, now it's clear. Greybird theme does not support GTK-3.19.

Last edited by D101101 (2016-04-10 10:18:11)

Offline

#73 2016-04-10 10:29:53

cju
Member
Registered: 2013-06-23
Posts: 194

Re: GTK updates

brittyazel wrote:
cju wrote:

~/.config/gtk-3.0/gtk.css doesn't seem to work anymore, too… I'm a bit confused: Is this liekly to be one of the side effects of that update or should I open a separate thread for this?

It does work. Check this thread for what they did: https://bbs.archlinux.org/viewtopic.php?id=211102

Oh thanks, you're right, the file itself works, just the identifier "VteTerminal" (using it for termite) seem's to be dead… How can I find out what "VteTerminal" is called now?

Offline

#74 2016-04-10 10:59:30

Vain
Member
Registered: 2008-10-19
Posts: 179
Website

Re: GTK updates

cju wrote:

Oh thanks, you're right, the file itself works, just the identifier "VteTerminal" (using it for termite) seem's to be dead… How can I find out what "VteTerminal" is called now?

"vte-terminal" should do the trick, IIUC: https://git.gnome.org/browse/vte/commit … 094f2b3c51

Offline

#75 2016-04-10 11:05:51

Head_on_a_Stick
Member
From: London
Registered: 2014-02-20
Posts: 7,771
Website

Re: GTK updates

brittyazel wrote:

You should probably run firefox with this theme: https://addons.mozilla.org/en-US/firefox/addon/adwaita/

It should make your firefox experience better integrate with that of Gnome

That theme is available as an official Arch package:
https://www.archlinux.org/packages/comm … e-adwaita/

Offline

Board footer

Powered by FluxBB